Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Compiler.Epic.Epic

Description

Pretty-print the AuxAST to valid Epic code.

Synopsis

- prettyEpicFun :: MonadTCM m => Fun -> Compile m String
- prettyEpic :: Expr -> String

# Documentation

prettyEpicFun :: MonadTCM m => Fun -> Compile m String

Print a function to an Epic string

prettyEpic :: Expr -> String

Print expression to Epic expression